use crate::prelude::*;

pub fn get_clipboard_text(ui_context: &egui::Context) -> Option<String> {
    ui_context.input(|input| {
        input.raw.events.iter().find_map(|event| {
            if let egui::Event::Paste(text) = event {
                Some(text.clone())
            } else {
                None
            }
        })
    })
}

pub fn set_clipboard_text(ui_context: &egui::Context, text: impl Into<String>) {
    ui_context.copy_text(text.into());
}
